﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.IO;
using System.Windows.Forms;

namespace Kaimei
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            FolderBrowserDialog fbd = new FolderBrowserDialog();
            fbd.Description = "フォルダを指定してください";
            fbd.RootFolder = Environment.SpecialFolder.Desktop;
            if (fbd.ShowDialog(this) == DialogResult.OK)
            {
                textBox1.Text = fbd.SelectedPath;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (Directory.Exists(textBox1.Text))
            {
                try
                {
                    this.Cursor = Cursors.WaitCursor;

                    string[] filenames = Directory.GetFiles(textBox1.Text);
                    using (StreamWriter sw = new StreamWriter(Path.Combine(textBox1.Text, "rename.txt")))
                    {
                        int i = 1;
                        foreach (string filename in filenames)
                        {
                            if (String.Compare(Path.GetExtension(filename), textBox2.Text, true) == 0)
                            {
                                string renamefilename = Path.Combine(textBox1.Text, String.Format("{0:D3}", i) + textBox2.Text);
                                File.Move(filename, renamefilename);
                                sw.WriteLine(Path.GetFileName(filename) + "\t" + Path.GetFileName(renamefilename));
                                i += 1;
                            }
                        }
                    }

                    MessageBox.Show("完了しました");
                }
                finally
                {
                    this.Cursor = Cursors.Default;
                }
            }
            else
            {
                MessageBox.Show("ディレクトリが存在しません");
            }
        }
    }
}
